Skip to main content
GET
/
v1
/
contacts
/
{id}
/
custom-attributes
Get custom attributes for a contact
curl --request GET \
  --url https://api.conduit.ai/v1/contacts/{id}/custom-attributes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.conduit.ai/v1/contacts/{id}/custom-attributes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.conduit.ai/v1/contacts/{id}/custom-attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "attr_123",
      "workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
      "name": "VIP Status",
      "type": "Select",
      "options": [
        {
          "value": "standard",
          "color": "gray"
        },
        {
          "value": "vip",
          "color": "green"
        }
      ],
      "order": 1,
      "section_id": "section_123",
      "section_name": "Contact Info",
      "value": "vip"
    },
    {
      "id": "attr_456",
      "workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
      "name": "Move-in Date",
      "type": "Date",
      "options": null,
      "order": 2,
      "section_id": "section_123",
      "section_name": "Contact Info",
      "value": null
    }
  ]
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}

Authorizations

Authorization
string
header
required

Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.

Path Parameters

id
string
required

Contact id.

Example:

"ph77c0dy0mgdpzmqz6tesry8w184002s"

Query Parameters

workspace_id
string

Optional workspace override. If omitted, Conduit resolves the contact's workspace automatically.

Example:

"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"

Response

Contact custom attributes

Custom attributes for a contact.

data
object[]
required